CVE-2006-1442
CVSS7.5
发布时间 :2006-05-12 17:02:00
修订时间 :2017-07-19 21:30:36
NMCO    

[原文]The bundle API in CoreFoundation in Apple Mac OS X 10.3.9 and 10.4.6 loads dynamic libraries even if the client application has not directly requested it, which allows attackers to execute arbitrary code from an untrusted bundle.


[CNNVD]Apple Mac OS X CoreFoundation bundle API 任意代码执行漏洞(CNNVD-200605-242)

        Apple Mac OS X 10.3.9 和 10.4.6版本的 CoreFoundation 的bundle API加载动态库,即使客户端应用程序并没有直接提出要求,允许攻击者执行来自不受信任的任意捆绑代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/o:apple:mac_os_x:10.4.6Apple Mac OS X 10.4.6
cpe:/o:apple:mac_os_x:10.3.9Apple Mac OS X 10.3.9

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1442
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1442
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-242
(官方数据源) CNNVD

- 其它链接及资源

http://lists.apple.com/archives/security-announce/2006/May/msg00003.html
(PATCH)  APPLE  APPLE-SA-2006-05-11
http://securitytracker.com/id?1016080
(UNKNOWN)  SECTRACK  1016080
http://www.securityfocus.com/bid/17951
(UNKNOWN)  BID  17951
http://www.us-cert.gov/cas/techalerts/TA06-132A.html
(UNKNOWN)  CERT  TA06-132A
http://www.vupen.com/english/advisories/2006/1779
(UNKNOWN)  VUPEN  ADV-2006-1779
https://exchange.xforce.ibmcloud.com/vulnerabilities/26407
(UNKNOWN)  XF  macos-corefoundation-bundle-code-execution(26407)

- 漏洞信息

Apple Mac OS X CoreFoundation bundle API 任意代码执行漏洞
高危 资料不足
2006-05-12 00:00:00 2006-05-15 00:00:00
远程※本地  
        Apple Mac OS X 10.3.9 和 10.4.6版本的 CoreFoundation 的bundle API加载动态库,即使客户端应用程序并没有直接提出要求,允许攻击者执行来自不受信任的任意捆绑代码。

- 公告与补丁

        厂商补丁:
        Apple
        -----
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty1.pl/product=09374&cat=1&platform=osx&method=sa/mac.html

- 漏洞信息

25586
Apple Mac OS X CoreFoundation Untrusted Bundle Arbitrary Code Execution
Local Access Required Other
Loss of Integrity
Exploit Unknown

- 漏洞描述

Mac OS X contains a flaw that may allow a malicious user to execute arbitrary code. The issue is triggered when CoreFoundation registers an untrusted bundle without user interaction. It is possible that the flaw may allow arbitrary code execution resulting in a loss of integrity.

- 时间线

2006-05-08 Unknow
Unknow Unknow

- 解决方案

Install Apple Security Update 2006-003, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站